<!DOCTYPE html>
	<!--[if lt IE 7]><html class="no-js lt-ie9 lt-ie8 lt-ie7"><![endif]-->
	<!--[if IE 7]><html class="no-js lt-ie9 lt-ie8"><![endif]-->
	<!--[if IE 8]><html class="no-js lt-ie9"><![endif]-->
	<!--[if gt IE 8]><!--><html class="no-js"><!--<![endif]-->
    <head>
        <title>Elastislide - A Responsive Image Carousel</title>
		<meta charset="UTF-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"> 
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"> 
        <meta name="keywords" content="carousel, jquery, responsive, fluid, elastic, resize, thumbnail, slider" />
		<meta name="author" content="Codrops" />
		<link rel="shortcut icon" href="../favicon.ico"> 
        <link rel="stylesheet" type="text/css" href="css/demo.css" />
		<link rel="stylesheet" type="text/css" href="css/elastislide.css" />
		<link rel="stylesheet" type="text/css" href="css/custom.css" />
		<script src="js/modernizr.custom.17475.js"></script>
    </head>
    <body>
		<?include("functions.php");?>
		<div class="container demo-1">
			
            <div class="main">
				<header class="clearfix">	
					<h1>Elastislide <span>A Responsive Image Carousel</span></h1>
				</header>

				<!-- Elastislide Carousel -->
				<ul id="carousel" class="elastislide-list">
						<? 
							//SETTINGS
							$channel_name   =   'XFactor2Ukraine';//НАЗВАНИЕ КАНАЛА
							$count          =   15;//КОЛИЧЕСТВО ВИДЕО
							//The output...
							$sxml = simplexml_load_file("http://gdata.youtube.com/feeds/api/users/$channel_name/uploads?max-results=$count");//ПОЛУЧИТЬ ДАННЫЕ С ЮТЬЮБА
							foreach ($sxml->entry as $entry) {//РАЗБИВАЕМ ДАННЫЕ
							  $vidKey = substr(strrchr($entry->id,'/'),1);
							  //http://www.youtube.com/embed/".$vidKey."
							  $linktube="http://www.youtube.com/watch?feature=player_embedded&v=".$vidKey;//ПОЛУЧИТЬ ЗАГОЛОВОК ВИДЕ ССЫЛКИ
							  $vidID = $vidKey;
							  $url = "http://gdata.youtube.com/feeds/api/videos/". $vidID;
							  $doc = new DOMDocument;
							  $doc->load($url);
							  $title = $doc->getElementsByTagName("title")->item(0)->nodeValue;
							  //кол-во просмотров
							  //$video_ID = $vidID;
							  //$JSON = file_get_contents("https://gdata.youtube.com/feeds/api/videos/{$video_ID}?v=2&alt=json");
							  //$JSON_Data = json_decode($JSON);
							  //$views = $JSON_Data->{'entry'}->{'yt$statistics'}->{'viewCount'};
							  //$video_date = $JSON_Data->{'entry'}->{'published'}->{'_t'};
							  echo "
								<li>
									 <a target='_blank' class='miniature' href='".$linktube."'><img title='".$title."' src='".getVideoThumbUrl('http://www.youtube.com/embed/'.$vidKey)."'></a>
									 <h2>".$title."</h2>
									 
								</li>
							  ";
							}
						?>

   
				</ul>
				<!-- End Elastislide Carousel -->

				<p><strong>Поменяйте размер браузера и увидите как адаптируется карусель</strong></p>

				<p class="info"><strong>Пример 1:</strong> Минимум из трех картинок будут всегда видны</p>
			</div>
		</div>
		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"></script>
		<script type="text/javascript" src="js/jquerypp.custom.js"></script>
		<script type="text/javascript" src="js/jquery.elastislide.js"></script>
		<script type="text/javascript">
			
			$( '#carousel' ).elastislide();
			
		</script>
    </body>
</html>